Digimon World 3 on popsloader?

Discussion in 'PSP - Hacking & Homebrew' started by Sloshy, Dec 17, 2011.

Dec 17, 2011

Digimon World 3 on popsloader? by Sloshy at 12:16 AM (12,434 Views / 0 Likes) 20 replies

  1. Sloshy
    OP

    Member Sloshy GBAtemp Regular

    Joined:
    Nov 30, 2008
    Messages:
    155
    Location:
    Strong Badia
    Country:
    United States
    I've softmodded my PSP Go to 6.60 PRO LCFW and I've been trying to get Digimon World 3 to work on pops. Needless to say it doesn't work on 6.60, and I've tried other versions of pops with popsloader, but none of those work either. 3.02 works but without sound, though. Does anybody else have this working? What steps did you take? And no, setting it to 3.71 and changing the game ID did not work at all. And no it's not a "bad dump"; I've tried multiple different rips of the game.
     


  2. GameWinner

    Member GameWinner Take your heart

    Joined:
    Jun 14, 2009
    Messages:
    4,190
    Country:
    United States
    Have you tried the program 'Popsloader V3 – Popsloader for Pro LCFW'?
     
  3. Sloshy
    OP

    Member Sloshy GBAtemp Regular

    Joined:
    Nov 30, 2008
    Messages:
    155
    Location:
    Strong Badia
    Country:
    United States
    Yes :( and it still doesn't load, sadly.
     
  4. gartlan

    Newcomer gartlan Member

    Joined:
    Nov 5, 2002
    Messages:
    30
    Country:
    Australia
    According to the old 'PSX on PSP Compatibility List' page I kept a copy of, this game's comments say:

    3.71: Make sure you use GameID SLPS01724
    5.00 M33-6: Use GameID SLPS01724 and 3.71 pops.
    There will be some minor slowdowns during load fades, but otherwise works perfectly fine - Azure Fang
    Inside the circuit boards, there are chances that the game will hang when you proceed to the next segment of the board. So in order to fix this, move around and engage in a digimon battle before proceeding. Also, SAVE FREQUENTLY - Y2Jacky

    I'm assuming you are using the US SLUS-01328 version of the game.

    Now it sounds, from your post above, like you have already tried this and it doesn't work which either means your popsloader isn't setup right, your game eboot isn't right or 6.60 fw psx compatibility or the newer popsloader just isn't up to it. You need to narrow your choices. But the points above certainly worked for some people on 5.00 M33-6.
     
  5. GameWinner

    Member GameWinner Take your heart

    Joined:
    Jun 14, 2009
    Messages:
    4,190
    Country:
    United States
    It's working on my bro's PSP now, I used the unofficial version of Pops and 6.20 LCFW B9.
     
  6. Sloshy
    OP

    Member Sloshy GBAtemp Regular

    Joined:
    Nov 30, 2008
    Messages:
    155
    Location:
    Strong Badia
    Country:
    United States
    Yes I have tried both. Maybe it's the newer popsloader or some weird 6.60 problem (I'm very new to the whole PSP homebrew/hacking scene; I just got a PSP go in late November so I have no idea what it could be).
    Specifically which "unofficial version"? Google says there's multiple different versions out there.
     
  7. GameWinner

    Member GameWinner Take your heart

    Joined:
    Jun 14, 2009
    Messages:
    4,190
    Country:
    United States
    Popsdeco’s unofficial popsloader V4E, follow the steps and your good to go.
     
  8. Foxi4

    Reporter Foxi4 On the hunt...

    pip
    Joined:
    Sep 13, 2009
    Messages:
    22,736
    Location:
    Gaming Grotto
    Country:
    Poland
    Sent you a PM with the latest Popsloader revision, should help you resolve your issue.
     
  9. Sloshy
    OP

    Member Sloshy GBAtemp Regular

    Joined:
    Nov 30, 2008
    Messages:
    155
    Location:
    Strong Badia
    Country:
    United States
    I just tried V4E and V4F1; neither of those worked :/. To clarify, I've tried both Digimon World 3 and 2003.
     
  10. GameWinner

    Member GameWinner Take your heart

    Joined:
    Jun 14, 2009
    Messages:
    4,190
    Country:
    United States
    Ok in the SEPLUGINS folder in the root of the PSP, do you have a POPS.txt? If so click on it and it should say ms0: / seplugins / popsloader / popsloader.prx 1” or “ef0: / seplugins / popsloader / popsloader.prx 1 . If not create a POPS.txt and put that in, afterwards hit select on your PSP XMB and go to 'Reset VSH', and finally test the game and see if it works.
    I put the game on my sister's PSP (which is on 6.35 B9) and it worked, it could be the 6.60 firmware if nothing still else works.
     
  11. Sloshy
    OP

    Member Sloshy GBAtemp Regular

    Joined:
    Nov 30, 2008
    Messages:
    155
    Location:
    Strong Badia
    Country:
    United States
    I've already done that :) I have it set up all fine and dandy, all the right module files and everything. Holding down the R button before the game loads and selecting the right POPS version just makes it load a black screen and it crashes after about 10 seconds, turning my PSP off. If it works for you then I'm sure it's either a Go bug or a 6.60 bug. Is there any way for me to report this to the devs?
     
  12. GameWinner

    Member GameWinner Take your heart

    Joined:
    Jun 14, 2009
    Messages:
    4,190
    Country:
    United States
    Oh, well when I start the game, I don't hold the R button at all. Have you tried doing that to see what happens?
     
  13. Sloshy
    OP

    Member Sloshy GBAtemp Regular

    Joined:
    Nov 30, 2008
    Messages:
    155
    Location:
    Strong Badia
    Country:
    United States
    Crashes and powers off, as usual :/
     
  14. GameWinner

    Member GameWinner Take your heart

    Joined:
    Jun 14, 2009
    Messages:
    4,190
    Country:
    United States
    Nope, as far as I know you can't report it. If you really want to play badly you can use the 6.XX Downgrader V4 and downgrade to 6.35 (example) and try that with the unofficial popsloader.
    Also did you put anything on the iso, like a boot picture or animation? That can also cause crashes (which is why I just convert the game to an iso without making changes).
     
  15. tvoretz

    Newcomer tvoretz Advanced Member

    Joined:
    Jan 16, 2011
    Messages:
    64
    Country:
    United States
    The PSP Go and recent revisions of the PSP 3000 can't run certain versions of the PSX emulator. I'll try to find the list of versions that won't work, but 3.71 is one of them.

    Edit: It looks like everything from 3.71-6.00 won't work, and there's nothing to do about it.
     
  16. Sloshy
    OP

    Member Sloshy GBAtemp Regular

    Joined:
    Nov 30, 2008
    Messages:
    155
    Location:
    Strong Badia
    Country:
    United States
    That would make a lot of sense. Oh well :/ I guess I'll just emulate the game on my netbook instead for the time being. Would you happen to know why some versions don't run, or is it some magic that nobody knows ;)?
     
  17. tvoretz

    Newcomer tvoretz Advanced Member

    Joined:
    Jan 16, 2011
    Messages:
    64
    Country:
    United States
    Sorry, I don't know why. It's hard to find information on Popsloader (especially with the spotty internet connection I'm using). Here's a more detailed list of what does and doesn't work on the PSP Go (found here):

    Every POPS from 3.02 to 3.52 WORKS. Sound ONLY works with Headphones!!!
    Every POPS from 3.71 to 6.00 DOESN'T WORK
    Every POPS from 6.20 to Original from flash POPS WORKS
     
  18. Sloshy
    OP

    Member Sloshy GBAtemp Regular

    Joined:
    Nov 30, 2008
    Messages:
    155
    Location:
    Strong Badia
    Country:
    United States
    Oh hey, Terminator02 did that thread!

    And thanks for the info. Apparently it works fine so far on 3.02 with headphones; I'll report any crashes or bugs as they happen!
     
  19. Coto

    Member Coto GBAtemp Addict

    Joined:
    Jun 4, 2010
    Messages:
    2,278
    Country:
    Chile
    sorry to necrobump this thread but, DW3 (USA) being the earlier then DW2003 the latest (EUR) is known to have issues with pops (seems sony tweaks the PS1 emu on PSP to run certain games depending on each pops tied to OFW released) and DW3 is one of "those" games which rely on advanced stuff tu properly run, which sadly earlier ver. of pops had (ie: multiplay on 3.5x through adhoc removed on newer versions). So yeah, older pops = DW3 running.

    btw 3.71/3.72 gets the job done, however some slowdowns can happen.
     
  20. dragster215

    Member dragster215 GBAtemp Regular

    Joined:
    Apr 4, 2008
    Messages:
    125
    Country:
    United Kingdom
    how can i get this working on 6.35 pro-b9?
     

Share This Page